import { defineUI } from "queenjs";
import { useDesign } from "../..";

export default defineUI({
  setup() {
    const { components, store } = useDesign();
    return () => (
      <div style={store.designTemp.data.pageStyle}>
        {store.designTemp.data.content.map((d) => {
          const Comp = components.UI[d.compKey];
          if (Comp) {
            return <Comp key={d.id} {...d.props} />;
          }
          return null;
        })}
      </div>
    );
  },
});
