import { ModuleRoot } from "queenjs";
import { initDesign } from "../design";
import components from "./components";
import { store } from "./store";
import { actions } from "./actions";

export class EditorModule extends ModuleRoot {
  actions = this.createActions(actions)
  store = this.createStore(store);

  components = this.useComponents(components);
  modules = this.useModules({
    design: initDesign,
  });
}

export const { useEditor, initEditor } = EditorModule.hook("Editor");
